Subject: [stir] Comments on draft-ietf-stir-rfc4474bis-13.txt

From: Alan Ford <[email-masked]>
Date: Sun, 2 Oct 2016 12:17:58 +0100

Hi all,

In general this clarifies a number of the issues raised, and I feel the use of the compact/full distinction is much clearer for current and future implementors than “canon".

However, there is still opportunity for providing guidance of when to use each form, to avoid interop issues further down the line.

In particular, in Section 6.1, it says:

   An authentication service MAY use the full form of the PASSporT in
   the Identity header field.  The presence of the full form is OPTIONAL
   because the information carried in the baseline PASSporT object's
   headers and claims is usually redundant with information already
   carried elsewhere in the SIP request.  Using the compact form can
   significantly reduce SIP message size, especially when the PASSporT
   object contains media keys.  The syntax of the compact form is given
   in [I-D.ietf-stir-passport <https://tools.ietf.org/html/draft-ietf-stir-rfc4474bis-13#ref-I-D.ietf-stir-passport>] Section 6 <https://tools.ietf.org/html/draft-ietf-stir-rfc4474bis-13#section-6>; essentially, it contains a
   base64 encoding of the JSON header and payload in the PASSporT
   object.

Firstly, "essentially, it contains a base64 encoding of the JSON header and payload in the PASSporT object” surely is a typo? The compact form contains a base64 encoding of the signature?

This text also does not clarify why you would want to use the full form when not using optional extensions. The point I have been making in earlier mails, and which I feel would be valuable to add to the document, is something along the lines of “If, however, a sender does not know how a receiver may canonicalise the source or destination addresses, for example if it does not know whether tn, uri, or both would be used, then it SHOULD include the full form.”. (Section 8 makes comments along these lines but not as explicitly).

Also, in Section 6.2.3, it talks about using the full form to help with canonicalisation of orig:

   As an optimization, when the full form is present, the verification
   service MAY compute its own canonicalization of an originating
   telephone number and compare it to the values in the "orig" element
   of PASSporT before performing any cryptographic functions in order to
   ascertain whether or not the two ends agree on the canonical number
   form.

I think it would be helpful to also point out it helps with the canonicalisation of dest, by adding a sentence such as:

“Similarly, the presence of the full form allows the receiver to see how the sender canonicalised the destination address(es), such as whether it was canonicalised to a tn, a uri, or both, and so this can help the receiver know how to canonicalise the headers and thus verify the claims.”

Regards,
Alan

---

From: Alan Ford <[email-masked]>
Date: Thu, 13 Oct 2016 09:05:43 +0100

Hi all,

Does anybody else have any thoughts on this? I still fear I may be missing something, but in its present form I see there being a lot of unnecessary deployment headaches around canonicalisations and the need to go into a 438 exchange. Guidance on the use of full form (which in reality would probably lead to the use of full form in most scenarios) would seem to make this much easier. I personally think this issue needs to be resolved before publication.

Regards,
Alan

> On 2 Oct 2016, at 12:17, Alan Ford <[email-masked]> wrote:
> 
> Hi all,
>

---

From: Chris Wendt <[email-masked]>
Date: Thu, 13 Oct 2016 08:45:31 -0400

We will be using the full form of PASSporT in the SHAKEN framework, but I don’t think we should necessarily remove compact form, there are applications that may want to use it, particularly in more controlled eco-systems.

Obviously, Appendix F in RFC7515 is evidence that other people are thinking about these uses of JWT as well.

> On Oct 13, 2016, at 4:05 AM, Alan Ford <[email-masked]> wrote:
> 
> Hi all,
> 
>> On 2 Oct 2016, at 12:17, Alan Ford <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> Hi all,
>> 
> _______________________________________________
> stir mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/stir